| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties

# IG::Num::IMatrix< ComponentType > Interface Template Reference

Generic Matrix interface. More...

List of all members.

## Public Member Functions
ComponentType[,] | ToArray ()
| Creates and returns a rectangular 2D array that contains a component-wise copy of the matrix.
ComponentType[][] | ToJaggedArray ()
| Creates and returns a jagged 2D array that contains a component-wise copy of the matrix.
void | SetZero ()
| Sets all components of the current matrix to 0.
void | Negate ()
| Negates the matrix.
## Properties
int | RowCount`[get]`
| Gets the number of rows.
int | ColumnCount`[get]`
| Gets the number of columns.
ComponentType | this [int i, int j]`[get, set]`
| Gets or set the element indexed by `(i, j)` in the `Matrix`.
ComponentType | Trace`[get]`
| Gets matrix trace (sum of diagonal terms).
double | NormForbenius`[get]`
| Gets Forbenious (or Euclidean) norm of the matrix - square root of sum of squares of elements.
double | NormEuclidean`[get]`
| Gets Forbenious (or Euclidean) norm of the matrix - square root of sum of squares of elements.
double | Norm`[get]`
| Gets Forbenious (or Euclidean) norm of the matrix - square root of sum of squares of elements.

## Detailed Description

### template<ComponentType>
interface IG::Num::IMatrix< ComponentType >

Generic Matrix interface.

$A Igor Sep08 Jan09;

## Member Function Documentation

template<ComponentType >

ComponentType [,] IG::Num::IMatrix< ComponentType >::ToArray | ( |  | ) |

Creates and returns a rectangular 2D array that contains a component-wise copy of the matrix.

template<ComponentType >

ComponentType [][] IG::Num::IMatrix< ComponentType >::ToJaggedArray | ( |  | ) |

Creates and returns a jagged 2D array that contains a component-wise copy of the matrix.

template<ComponentType >

void IG::Num::IMatrix< ComponentType >::SetZero | ( |  | ) |

Sets all components of the current matrix to 0.

template<ComponentType >

void IG::Num::IMatrix< ComponentType >::Negate | ( |  | ) |

Negates the matrix.

## Property Documentation

template<ComponentType >

int IG::Num::IMatrix< ComponentType >::RowCount`[get]`

Gets the number of rows.

template<ComponentType >

int IG::Num::IMatrix< ComponentType >::ColumnCount`[get]`

Gets the number of columns.

template<ComponentType >

ComponentType IG::Num::IMatrix< ComponentType >::this[int i, int j]`[get, set]`

Gets or set the element indexed by `(i, j)` in the `Matrix`.

Parameters:

  i | Row index.
  j | Column index.

template<ComponentType >

ComponentType IG::Num::IMatrix< ComponentType >::Trace`[get]`

Gets matrix trace (sum of diagonal terms).

template<ComponentType >

double IG::Num::IMatrix< ComponentType >::NormForbenius`[get]`

Gets Forbenious (or Euclidean) norm of the matrix - square root of sum of squares of elements.

template<ComponentType >

double IG::Num::IMatrix< ComponentType >::NormEuclidean`[get]`

Gets Forbenious (or Euclidean) norm of the matrix - square root of sum of squares of elements.

template<ComponentType >

double IG::Num::IMatrix< ComponentType >::Norm`[get]`

Gets Forbenious (or Euclidean) norm of the matrix - square root of sum of squares of elements.

The documentation for this interface was generated from the following file:

- MatrixBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events